Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
 

Create closes/periodic edge from points

Create closes/periodic edge from points
Marco 2013/01/20 15:07
Hi,

I habe a lot of points which describe a contour. Now I need to get a wire from the point list.

//
GeomAPI_PointsToBSpline toBSpline(const PointVec& points)
{
     TColgp_Array1OfPnt arr(0,points.size()-1);
     for(unsigned int i = 0;i < points.size();++i)
     {
          arr.SetValue(i,gp_Pnt(points[i].X(),points[i].Y(),points[i].Z()));
     }

     auto spline = GeomAPI_PointsToBSpline(arr);
     spline.Curve()->SetPeriodic();     
     
     return spline;     
}

OpenCascades creates the curve (testet it with the step export). My problem is the connection between last and first point. There I have a big failure. You can see it in the attached picture. Seems that I do something wrong the make the spline periodic.
I also tested GeomAPI_Interpolate, but there a runtime error occurs.
So, what did I wrong?


Best regards

Pellaeon
You have to be logged in to download the attached file
Marco 2013/01/22 12:31
Any ideas? :/
Pawel 2013/01/22 12:58
Hello Marco,

can't say what the exact reason is but I would try the following out:
- change the tolerance in GeomAPI_PointsToBSpline
- change the min/max degree of the spline to create

Pawel
 
 
Latest news
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!
  • Open CASCADE Technology 6.7.0 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map